Bug 1415783 - timidity -Oj -iA can't open JACK device
Summary: timidity -Oj -iA can't open JACK device
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: timidity++
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 17:21 UTC by Ian Collier
Modified: 2017-12-12 10:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:47:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Ian Collier 2017-01-23 17:21:31 UTC
Timidity can play MIDI files down a JACK device (timidity -Oj).
Timidity can receive MIDI through an ALSA sequencer port and play it through the default sound device.
However, Timidity is unable to do both of these at once, even though it could
in some earlier Fedora version (I don't recall which).

Tests (using any MIDI file, here written as test.mid):

1. $ timidity test.mid

2. $ jackd -d alsa &
   $ timidity -Oj test.mid
   $ kill %

3. $ timidity -iA &
   $ aplaymidi --port 128:0 test.mid
   $ kill %

4. $ jackd -d alsa &
   $ timidity -Oj -iA &
   $ aplaymidi --port 128:0 test.mid
   $ kill %
   $ kill %

Tests 1-3 work correctly, test 4 says "Couldn't start JACK device (`j')"
and doesn't play.

This makes it difficult or impossible to use Timidity as a MIDI playback
server while using Rosegarden.

Version tested: timidity++-2.14.0-10.fc24.x86_64

Comment 1 Hans de Goede 2017-01-23 17:27:57 UTC
HI,

Thank you for the bug report. Unfortunately I do not have time to look into this I'm afraid. You could try downloading and installing an older timidity:

https://koji.fedoraproject.org/koji/packageinfo?packageID=908

And see if you can find between which 2 versions things regressed. Although I must say that timidity++ has not seen a lot of change recently, so changes are that this is caused by some change outside of timidity++.

Regards,

Hans

Comment 2 Fedora End Of Life 2017-11-16 19:14:43 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:47:17 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.